Skip to main content
POST
Link a social account for a represented athlete

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Use the /api/login endpoint to obtain a token.

Path Parameters

athleteId
integer
required

Athlete user id. Must be on the authenticated agent's roster.

Example:

28550

platform
enum<string>
required
Available options:
instagram,
tiktok,
twitter

Body

application/json
auth_code
string
required

Authorization code returned by the platform's OAuth redirect.

Example:

"AQD1x..."

redirect_uri
string | null
Example:

"https://app.mogl.online/agent-athletes"

code_verifier
string | null

PKCE verifier. TikTok only.

Example:

"dBjftJeZ4CVP..."

Response

Linked

status
string
Example:

"success"

platform
string
Example:

"instagram"

data
object